﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace Chat.Web
{
    [DataContract]
    public class MessageInfo
    {
        [DataMember]        
        public string ID { set; get; }        
        [DataMember]
        public string Title { set; get; }
        [DataMember]
        public string Message { set; get; }
        [DataMember]
        public DateTime SendTime { set; get; }
        [DataMember]
        public DateTime? ReadTime { set; get; }
        [DataMember]
        public string Sender { set; get; }           
        [DataMember]
        public string ReceiveUser { set; get; }
        [DataMember]
        public string ReceiveOrgan { set; get; }
        [DataMember]
        public string ReceiveMode { set; get; }
        [DataMember]
        public int State { set; get; }
        [DataMember]
        public int Receipt { set; get; }
        [DataMember]
        public string Source { set; get; }

    }
}